#include "ChaseEffect.h"

ChaseEffect::ChaseEffect( int banks, int lights ) :
	Effect( "Chaser", banks ),
	_lights( lights ) {
}

void ChaseEffect::reset() {
	frame.clear();
	for( int x = 0; x < _lights; x++ ) {
		frame[0] |= (1 << x);
	}
}

const DammitFrame &ChaseEffect::getNextFrame() {
	int x;
	char carry = frame[ _banks - 1 ] & 0x80;
	char nc;
	for( x = 0; x < _banks; x++ ) {
		nc = frame[x] & 0x80;
		frame[x] = frame[x] << 1;
		frame[x] |= (carry?1:0) ;
		carry = nc;
	}
	return frame;
}
