#ifndef _CONTROLBOARD_H_
#define _CONTROLBOARD_H_

#include <qwidget.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qslider.h>
#include <vector>
#include "Monitor.h"
#include "Effect.h"

class ControlBoard : public QWidget {
Q_OBJECT
public:
	ControlBoard( int banks = 8, QWidget *parent = 0, const char *name = 0 );
	~ControlBoard();

public slots:
	void runClicked();
	void pauseClicked();
	void timeout();
	void tempoChanged( int tempo );

private:
	void initEffects();
	
private:
	int		en;
	int 		_banks;
	int 		speed;
	QSlider		*tempo;
	QTimer		*timer;
	QGridLayout 	*grid;
	QListBox 	*lb;
	QPushButton	*quit_button;
	QPushButton	*run;
	QPushButton	*pause;
	DammitMonitor 	*monitor;
	vector< Effect* > effects;
};

#endif
	
