// Author: Joe Sunday
// Description: Class to describe a single frame. 

#include <iostream.h>
#include <string.h>
#include <assert.h>
#include "DammitFrame.h"

DammitFrame::DammitFrame() {
	clear();
}

const char *DammitFrame::operator()() {
	return data;
}

char &DammitFrame::operator[]( size_t bank ) {
	assert( bank <= 8 );
	return data[bank];
}

const char *DammitFrame::operator= ( const char *next) {
	memcpy( data, next, 8 );
	return data;
}

void DammitFrame::clear() {
	memset( data, 0, 8 );
}

void DammitFrame::print() const {
	int x, y;
	for( x = 0; x < 8; x++ ) {
		for( y = 0; y < 8; y++ ) {
			cout << (data[x]&(1<<y)?'1':'0');
		}
		cout << ' ';
	}
	cout << endl;
}
