#ifndef _MONITOR_H_
#define _MONITOR_H_

// Define this to use the dammit device driver 
// #define USEHW

#include <qwidget.h>
#include "DammitFrame.h"

class DammitMonitor : public QWidget {
	Q_OBJECT

public:
	DammitMonitor( int banks, QWidget *parent=0, const char *name=0 );
	~DammitMonitor();

	QSizePolicy sizePolicy() const;
	QSize sizeHint() const;

public slots:
	void setFrame( const DammitFrame &frame );
	int setBanks( int banks );

signals:
	void frameChanged( const DammitFrame &frame );
	void banksChanged( int banks );

protected:
	void paintEvent( QPaintEvent * );
	
private:
	#ifdef USEHW
	int dammitfd;
	#endif
	DammitFrame _frame;
	int _banks;


};

#endif

