#include "RangeIntProperty.h"
#include <assert.h>

RangeIntProperty::RangeIntProperty( const char *name, int min, int max, int def ) :
	IntProperty( name, def ),
	mn( min ),
	mx( max )
{
	assert( min <= max );
	assert( (min <= def) && (def <= max) );	
}

const char *RangeIntProperty::getType() const {
	return "rangeint" ;
}

void RangeIntProperty::set( int val ) {
	assert( (mn <= val) && (val <= mx) );
	IntProperty::set( val );
}

void RangeIntProperty::setMax( int max ) {
	assert( mn < max );
	mx = max;
	if( v > mx ) {
		set( mx );
	}
}

void RangeIntProperty::setMin( int min ) {
	assert( min < mx );
	mn = min;
	if( v < mn ) {
		set( mn );
	}
}

int RangeIntProperty::getMax() const {
	return mx;
}

int RangeIntProperty::getMin() const {
	return mn;
}

